[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TEditCharCase

Determines the case for text in an edit box or a combo-box control.

## Declaration

Source position: stdctrls.pp line 39

`type TEditCharCase = (`
`ecNormal,` |  | Normal mode (no case conversion).
`ecUppercase,` |  | Converts every character entered to upper case.
`ecLowerCase` |  | Converts every character entered to lower case.
`);`

## Description

TEditCharCase is an enumerated type with values that determine the case used for text in controls like TCustomComboBox and TCustomEdit. TEditCharCase is the type used to implement the CharCase property in both TCustomComboBox and TCustomEdit.

## See also

TCustomComboBox.CharCase |  | Indicates the case conversion applied to the value entered in the edit box for the control.
TCustomEdit.CharCase |  | Controls the character case applied to values entered in the control.